/* @(#) $Id: freebsd.h 1279 2018-04-10 22:15:15Z leres $ (LBL) */
#ifndef acld_freebsd_h
#define acld_freebsd_h

#include <sys/mutex.h>

#include <net/if.h>
#include <net/if_dl.h>
#include <net/if_types.h>

#define _WANT_RTENTRY
#include <net/route.h>

extern struct sockaddr_dl sanullzeroif;
extern struct sockaddr_in sanullzero4;
extern struct sockaddr_in6 sanullzero6;
extern u_int nullzeroif_ind;

extern void freebsdinit(struct state *);
extern void freebsdinit2(struct state *);
extern void freebsdlistroute(struct state *, struct client *,
    struct req *, int);
extern void report(struct state *, struct req *, int);
extern int route_sfmt(char *, size_t, struct addr *,
    struct rt_msghdr *, size_t, struct state *);
#endif
